Subject: Re: bug#62936: [core-updates] pre-inst-env no longer works

From: Brian Cully <[email-masked]>
Date: Wed, 19 Apr 2023 10:14:59 -0400

Ludovic Courtès <[email-masked]> writes:

> Make sure everything is in sync, and use ‘guix shell -D guix -C’ 
> to
> avoid interference!

This has made the glibc locale error and the libgit2 bindings to 
work. Thank you!

However, I'm not sure how this happened in the first place. The 
system I'm running on is running core-updates, from a ‘guix system 
reconfigure’ and reboot. Where is the improperly linked libgit2 
coming from that guix is loading it (and then, only when used with 
‘pre-inst-env’).

-bjc